#ifndef THREAD_H
#define THREAD_H

using namespace std;

#include <string>
#include <qthread.h>
#include <qtextedit.h>
#include <qlabel.h>
#include <qstring.h>
#include <qapplication.h>
#include <qevent.h>
#include <list>
#include "gatewayserver.h"


enum { TransactionStart = 1001 };

class TransactionStartEvent : public QCustomEvent{

public:
    TransactionStartEvent();
  
};

class Thread : public QThread{
public:
    Thread();
    void setTargetWidget(QWidget *widget);
    void run();
    void stop();
    
private:
    QWidget *targetWidget;
    volatile bool stopped;
    int pid;
  
};

class Thread2 : public QThread{
public:
    Thread2();
    void setTargetWidget(QWidget *widget);
    void run();
    void stop();
    
private:
    QWidget *targetWidget;
    volatile bool stopped;
   
  
};

#endif
