#ifndef LISTAS_H
#define LISTAS_H

#include <stdlib.h>
#include <stdio.h>



#ifdef __cplusplus
extern "C" {
#endif
    
typedef struct _node {
	int id;
	char *device;
	char *string_addr;
	struct _node *next;
}Nodetype;


typedef Nodetype *List;

/* Funciones con listas: */
int auto_insert(List *l, char *dev, char *saddr);
void Erase(List *l, int id);

int EmptyList(List l);

void EraseList(List *l);
void ShowList(List l);
Nodetype *ListNode(List l, int id);



#ifdef __cplusplus
}
#endif

#endif	/*LISTAS_H */
